import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.sql.Date;
import java.util.GregorianCalendar;
import java.util.Vector;

import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportViewer.Viewer;

public class ObjectArrayERES extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {

		try {
			ObjectArrayERES report = new ObjectArrayERES();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", report.doObjectArray(frame));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doObjectArray(this));
	}

	Component doObjectArray(Object parent) {

		// Do not use ERES Server
		QbReport.setEspressManagerUsed(false);

		// Object array for Query Parameters
		Vector vec = new Vector();
		vec.add("CA");
		vec.add("NY");

		GregorianCalendar beginDate = new GregorianCalendar(2001, 0, 4);
		GregorianCalendar endDate = new GregorianCalendar(2003, 1, 12);

		long beginLong = beginDate.getTimeInMillis();
		long endLong = endDate.getTimeInMillis();

		Date beginDateTime = new Date(beginLong);
		Date endDateTime = new Date(endLong);

		Object queryParams[] = new Object[3];
		queryParams[0] = vec;
		queryParams[1] = beginDateTime;
		queryParams[2] = endDateTime;

		// Object array for Formula Parameter
		Object formulaParams[] = new Object[1];
		formulaParams[0] = "Sarat";

		// Open the template
		QbReport report = new QbReport(parent, // container 
				"ObjectArray.rpt", // template
				queryParams, // Query Parameters
				formulaParams); // Formula Parameters

		// Show report in Viewer
		return (new Viewer().getComponent(report));
	}
}
